--- 4.5.40/exim.conf-SpamBlockerTechnology-v4.5.40.txt	2022-06-29 02:20:44.022520883 -0600
+++ 4.5.41/exim.conf-SpamBlockerTechnology-v4.5.41.txt	2022-07-18 04:43:37.626954989 -0600
@@ -1,5 +1,5 @@
-# SpamBlockerTechnology* powered exim.conf, Version 4.5.40
-# May 4, 2022
+# SpamBlockerTechnology* powered exim.conf, Version 4.5.41
+# July 18, 2022
 # Exim configuration file for DirectAdmin
 # Requires exim.pl as distributed by DirectAdmin here:
 # http://files.directadmin.com/services/exim.pl version 21 or higher
@@ -786,6 +786,14 @@
 #I had found srs_orig_recipient variable, but wasn't able to use it to check for local fordwarders.
 #so any email to SRS0=..@localdomain.com will be accepted and dropped into the :blackhole:, which should be sufficient to satisfy the sender verify, and prevent any spam since it's always dropped.
 #if the final recipient hits "reply", it should already go to the orignal remote sender, not to the SRS name.
+inbound_srs:
+    driver =    redirect
+    senders =   :
+    domains =   +local_domains
+    # detect inbound bounces which are SRS'd, and decode them
+    condition = ${if inbound_srs {$local_part} {SRS_SECRET}}
+    data =      $srs_recipient
+
 inbound_srs_failure:
     driver =    redirect
     senders =   :
@@ -794,14 +802,6 @@
     condition = ${if inbound_srs {$local_part} {}}
     allow_fail
     data =      :fail: Invalid SRS recipient address
-
-inbound_srs:
-    driver =    redirect
-    senders =   :
-    domains =   +local_domains
-    # detect inbound bounces which are SRS'd, and decode them
-    condition = ${if inbound_srs {$local_part} {SRS_SECRET}}
-    data =      $srs_recipient
    
 #forwarder exists
 #user exists
